#ifndef WIDGET_H
#define WIDGET_H

#include <QWidget>
#include <QSerialPort>
#include <QSerialPortInfo>
#include <QMessageBox>

QT_BEGIN_NAMESPACE
namespace Ui { class Widget; }
QT_END_NAMESPACE

class Widget : public QWidget
{
    Q_OBJECT

public:
    Widget(QWidget *parent = nullptr);
    ~Widget();

private slots:
    void on_SerialPort_refresh_pushButton_clicked();

    void on_Open_Serial_pushButton_clicked();

private:
    Ui::Widget *ui;

private:
    //串口
    QSerialPort * Serial_port;
};
#endif // WIDGET_H
